<?php
/*
 * hi_KCFinder for CMSimple - module admin
 *
 * Include file to enable and configure
 * KCFinder by session.
 *
 * @author Holger Irmler
 * @link http://CMSimple.HolgerIrmler.de
 * @build 2012011301
 * @version 1.6
 * @date: 2012-01-13
 * @package hi_kcfinder
 */
 
if (!function_exists('sv') || preg_match('/kcfinder_init.php/i', sv('PHP_SELF'))) die('Access denied');

	//we need some more globals, when init-file was called from a function
	global $adm, $pth, $sl, $sn, $plugin_cf;
	
	/**
	* Check if we're in Admin-Mode and plugin is activated by config. 
	* If so, create the KCFinder session 
	*/

	if ($adm) {
	
		//load the configuration & language file, if init-file is called from an external editor or plugin etc.
		require($pth['folder']['plugins'].'hi_kcfinder/config/config.php');
		if (file_exists($pth['folder']['plugins'].'hi_kcfinder/languages/'.basename($sl).'.php')) {
			include_once($pth['folder']['plugins'].'hi_kcfinder/languages/'.basename($sl).'.php');
		} else {
			include_once($pth['folder']['plugins'].'hi_kcfinder/languages/en.php');
		}
		
		if (!isset($_SESSION)) { session_start(); }
		$_SESSION['KCFINDER'] = array();
		$_SESSION['KCFINDER']['disabled'] = false;
		$_SESSION['KCFINDER']['denyZipDownload'] = false;
		//$_SESSION['KCFINDER']['uploadURL'] = str_replace('index.php','',str_replace('/'.$sl.'/', '/', $sn)).$cf['folders']['userfiles'];
		$_SESSION['KCFINDER']['uploadURL'] = str_replace('index.php','',str_replace('/'.$sl.'/', '/', $sn));
		
		//experimental: look vor a userDir...
		$hi_kcfUserdir = dirname($_SERVER['SCRIPT_FILENAME']).'/';
		if (strpos($hi_kcfUserdir, '~')) {
			$_SESSION['KCFINDER']['uploadDir'] = str_replace('index.php','',str_replace('/'.$sl.'/', '/', $hi_kcfUserdir));
		}
		
		$_SESSION['KCFINDER']['dirPerms'] = octdec($plugin_cf['hi_kcfinder']['permissions_directory']);
		$_SESSION['KCFINDER']['filePerms'] = octdec($plugin_cf['hi_kcfinder']['permissions_file']);
		$_SESSION['KCFINDER']['deniedExts'] = $plugin_cf['hi_kcfinder']['deny_Extensions'];
		//Only CMSimple compatible filetypes / paths
		$_SESSION['KCFINDER']['types'] = array(
											// CMSimple file-types
											'images'    => "*img",
											'downloads' => "", //all other types
											'userfiles' => "", // for plugins etc.
										);
		$_SESSION['KCFINDER']['mime_magic'] = $plugin_cf['hi_kcfinder']['mime_magic'];
		$_SESSION['KCFINDER']['maxImageWidth'] = $plugin_cf['hi_kcfinder']['image_maxWidth'];
		$_SESSION['KCFINDER']['maxImageHeight'] = $plugin_cf['hi_kcfinder']['image_maxHeight'];
		$_SESSION['KCFINDER']['thumbWidth'] = $plugin_cf['hi_kcfinder']['thumb_Width'];
		$_SESSION['KCFINDER']['thumbHeight'] = $plugin_cf['hi_kcfinder']['thumb_Height'];
		$_SESSION['KCFINDER']['thumbsDir'] = "images/.thumbs";
		$_SESSION['KCFINDER']['jpegQuality'] = $plugin_cf['hi_kcfinder']['jpeg_Quality'];
		$_SESSION['KCFINDER']['cookieDomain'] = $plugin_cf['hi_kcfinder']['cookie_Domain'];
		$_SESSION['KCFINDER']['cookiePath'] = $plugin_cf['hi_kcfinder']['cookie_Path'];
		$_SESSION['KCFINDER']['cookiePrefix'] = $plugin_cf['hi_kcfinder']['cookie_Prefix'];
		
		$hi_kcfLang = strlen($plugin_cf['hi_kcfinder']['language'])
			? $plugin_cf['hi_kcfinder']['language']
			: $sl;
	}
?>